Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/40872/?format=api
{ "ob_id": 40872, "uuid": "7bdc5bfc06264802be34f918597150e8", "title": "Aerial LiDAR data from French Guiana, Nouragues, November 2019", "abstract": "This dataset contains Aerial LiDAR (also known as airborne laser scanning, ALS) data in .las format collected over tropical forests in Nouragues in French Guiana in 2019. The data were collected by Altoa using a BN2 aircraft flying at approximately 900 m altitude at a speed of approximately 180 km/hr. Trajectory files in txt format giving detailed flight data are included with the archived dataset. The LiDAR instrument was RIEGL LMS-Q780 and used a minimum pulse density of 15 points/sqm. The lateral overlap between two flight lines was 80%. with a Scan angle of +/- 30 degrees. The data coordinate reference system used with the data files is epsg 2972 more details of this and of the Nouragues site can be found in the documentation section.", "keywords": "ALS, Aerial Lidar , Biomass, Nouragues, Frech Guiana", "publicationState": "citable", "dataPublishedTime": "2023-12-20T15:52:33", "doiPublishedTime": "2023-12-20T18:21:54.474489", "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/40873/?format=api", "dataPath": "/neodc/forestscan/data/french_guiana/nourages/ALS-Nouragues-2019-PerPlot", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 17314433281, "numberOfFiles": 497, "fileFormat": ".laz files and text file with trajectory details" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11454/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2294/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by the project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12797/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/38113/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/projects/40337/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/40623/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/200723/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198816/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198817/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198818/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198819/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198820/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/200719/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/200722/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198815/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/200720/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/200721/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/41240/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }